Bug 185929 - [ESNext][BigInt] Implement support for "=<" and ">=" relational operation
Summary: [ESNext][BigInt] Implement support for "=<" and ">=" relational operation
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: JavaScriptCore (show other bugs)
Version: WebKit Nightly Build
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Caio Lima
URL:
Keywords: InRadar
Depends on: 185379
Blocks: 179001
  Show dependency treegraph
 
Reported: 2018-05-23 17:23 PDT by Caio Lima
Modified: 2018-05-31 20:36 PDT (History)
10 users (show)

See Also:


Attachments
WIP - Patch (37.09 KB, patch)
2018-05-24 20:13 PDT, Caio Lima
no flags Details | Formatted Diff | Diff
Patch (36.27 KB, patch)
2018-05-30 19:12 PDT, Caio Lima
utatane.tea: review+
Details | Formatted Diff | Diff
Patch for landing (35.25 KB, patch)
2018-05-31 18:48 PDT, Caio Lima
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Caio Lima 2018-05-23 17:23:11 PDT
...
Comment 1 Caio Lima 2018-05-24 20:13:25 PDT
Created attachment 341243 [details]
WIP - Patch

It Starts
Comment 2 Caio Lima 2018-05-30 19:12:04 PDT
Created attachment 341638 [details]
Patch
Comment 3 Yusuke Suzuki 2018-05-31 06:50:38 PDT
Comment on attachment 341638 [details]
Patch

View in context: https://bugs.webkit.org/attachment.cgi?id=341638&action=review

r=me with nit.

> Source/JavaScriptCore/runtime/Operations.h:324
> +            bool result = bigIntCompare(callFrame, p1, p2, JSBigInt::ComparisonMode::LessThanOrEqual);
> +            RETURN_IF_EXCEPTION(scope, false);
> +            return result;

Just do,

scope.release();
return bigIntCompare(callFrame, p1, p2, JSBigInt::ComparisonMode::LessThanOrEqual);
Comment 4 Caio Lima 2018-05-31 18:48:11 PDT
Created attachment 341722 [details]
Patch for landing
Comment 5 WebKit Commit Bot 2018-05-31 20:30:28 PDT
Comment on attachment 341722 [details]
Patch for landing

Clearing flags on attachment: 341722

Committed r232386: <https://trac.webkit.org/changeset/232386>
Comment 6 WebKit Commit Bot 2018-05-31 20:30:30 PDT
All reviewed patches have been landed.  Closing bug.
Comment 7 Radar WebKit Bug Importer 2018-05-31 20:36:45 PDT
<rdar://problem/40709873>